org.keycloak.models

## Class UserCredentialValueModel

- java.lang.Object
- - org.keycloak.models.UserCredentialValueModel

- All Implemented Interfaces:
    Serializable

      public class UserCredentialValueModel
      extends Object
      implements Serializable

  Used just in cases when we want to "directly" update or retrieve the hash or salt of user credential (For example during export/import)
  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserCredentialValueModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `int` | `getCounter()`
    `Long` | `getCreatedDate()`
    `String` | `getDevice()`
    `int` | `getDigits()`
    `int` | `getHashIterations()`
    `String` | `getId()`
    `int` | `getPeriod()`
    `byte[]` | `getSalt()`
    `String` | `getType()`
    `String` | `getValue()`
    `void` | `setAlgorithm(String algorithm)`
    `void` | `setCounter(int counter)`
    `void` | `setCreatedDate(Long createdDate)`
    `void` | `setDevice(String device)`
    `void` | `setDigits(int digits)`
    `void` | `setHashIterations(int iterations)`
    `void` | `setId(String id)`
    `void` | `setPeriod(int period)`
    `void` | `setSalt(byte[] salt)`
    `void` | `setType(String type)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserCredentialValueModel

          public UserCredentialValueModel()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getDevice

          public String getDevice()

    - #### setDevice

          public void setDevice(String device)

    - #### getSalt

          public byte[] getSalt()

    - #### setSalt

          public void setSalt(byte[] salt)

    - #### getHashIterations

          public int getHashIterations()

    - #### setHashIterations

          public void setHashIterations(int iterations)

    - #### getCreatedDate

          public Long getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate(Long createdDate)

    - #### getCounter

          public int getCounter()

    - #### setCounter

          public void setCounter(int counter)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public void setAlgorithm(String algorithm)

    - #### getDigits

          public int getDigits()

    - #### setDigits

          public void setDigits(int digits)

    - #### getPeriod

          public int getPeriod()

    - #### setPeriod

          public void setPeriod(int period)

Copyright © 2016 JBoss by Red Hat. All rights reserved.